Package org.multiverse.api.lifecycle

## Interface TxnListener

-     public interface TxnListener

  A listener tailored for listening to events in the `Txn` life-cycle.
  See Also:
    `TxnEvent`, `TxnConfig.getPermanentListeners()`, `Txn.register(TxnListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notify​(Txn txn, TxnEvent e)` | Notifies that a certain `TxnEvent` happened inside a `Txn`.

- - ### Method Detail

    - #### notify

          void notify​(Txn txn,
                      TxnEvent e)

      Notifies that a certain `TxnEvent` happened inside a `Txn`.
      Parameters:
        `txn` - the `Txn` where the event happened
        `e` - the event